{% extends 'base.html.twig' %}

{% block title %}Liste Langue Matiere {% endblock %}

{% block body %}

    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_langue" url="{{ path('langue_matiere_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouvel langue"> Ajouter</span></button>
        </a>
    </td>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Langue matière </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Langue Matière en Français</th>
                    <th>Langue Matière en Arabe</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for langue_matiere in langue_matieres %}
                    <tr>

                        <td>{{ langue_matiere.libelleLangueFr }}</td>
                        <td>{{ langue_matiere.libelleLangueAr }}</td>

                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_langue"
                                                url="{{ path('langue_matiere_show', {'id': langue_matiere.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_langue"
                                                url="{{ path('langue_matiere_edit', {'id': langue_matiere.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier langue matière"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('langue_matiere/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>

                {% endfor %}

                </tbody>

            </table>

            <div class="modal fade" id="modalLangue" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_langue"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_langue', function (event) {
            $('#modalLangue').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_langue').html('Ajouter nouvelle langue');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_langue', function (event) {
            $('#modalLangue').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_langue').html('Modifier langue');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_langue', function (event) {
            $('#modalLangue').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_langue').html('Info langue');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_langue', function (event) {
            var name_langue = $(this).attr('name_langue');
            var id_langue = $(this).attr('id_langue');
            $('#modalLangue').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_langue').html('Supprimer langue');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la langue: <b>' + name_langue + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_langue" onclick="confirmer_delete_langue(' + id_langue + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_langue(id_langue) {
            $('#form_delete_langue_' + id_langue).submit();
        }

        $('body').on('click', '.save_langue', function (event) {

            var form = $('#form_add_langue');
            var formData = new FormData(document.getElementById("form_add_langue"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_langue').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalLangue').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_langue', function (event) {

            var form = $('#form_add_langue');
            var formData = new FormData(document.getElementById("form_add_langue"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_langue').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalLangue').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_langue(name_langue) {
            $('#modalLangue').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_langue').html('Supprimer langue');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la langue: ' + name_langue);
            return false;
        }
    </script>

{% endblock %}
